Recurring Expenses

Read-only access to your recurring expense templates. Each template automatically generates concrete expenses on its nextGenerationDate according to its frequency, until recurringEndDate.

GETList recurring expense templates

GET/recurring-expenses
ParameterTypeDescription
pageintegerPage number (default: 1)
limitintegerItems per page, max 100 (default: 20)
categorystringFilter by expense category
activebooleantrue = still generating, false = ended
curl "https://paymavo.com/api/v1/recurring-expenses?active=true&category=SOFTWARE_TOOLS" \
  -H "Authorization: Bearer sk_live_xxx"

GETGet a recurring expense template

GET/recurring-expenses/{id}

Includes generatedExpensesCount — the number of concrete expenses that have been generated from this template.

curl "https://paymavo.com/api/v1/recurring-expenses/clx_template..." \
  -H "Authorization: Bearer sk_live_xxx"